Summary:        Simple BASIC IDE that allows young children to learn programming
Name:           basic256
Version:        2.0.99.10
Release:        %mkrel 1
License:        GPLv2
Group:          Development/Other
URL:            https://kidbasic.sourceforge.net
Source0:        https://sourceforge.net/projects/kidbasic/files/%{name}_%{version}.orig.tar.gz
Source1:        %{name}-0.9.6-doc.tar.gz
Source2:        %{name}.desktop
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  imagemagick
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5SerialPort)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5TextToSpeech)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  libespeak-devel

%description
BASIC-256 is a simple BASIC IDE, that allows young children
to learn programming. It was written in response to David
Brin's article, "Why Johnny Can't Code", in which he bemoans
the lack of a simple, line-oriented programming language
for children that runs on modern computers. It features a
byte-code compiler and interpreter, a debugger, easy to use
graphical and text output, and an editor.

%prep
%autosetup -p1 -n %{name}-%{version} -a1

# https://sourceforge.net/p/kidbasic/bugs/32
chmod -x doc/en/*.html
chmod -x doc/en/*.css
chmod -x doc/ru/*.html
chmod -x doc/ru/*.css

%build
%{_qt5_bindir}/lrelease Translations/*.ts
%qmake_qt5 BASIC256.pro
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}/help
install -Dm 644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop
cp -r doc/en/ %{buildroot}%{_datadir}/%{name}/help/
cp -r doc/ru/ %{buildroot}%{_datadir}/%{name}/help/

for png in 64x64 32x32 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png resources/icons/basic256.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%files
%doc CONTRIBUTORS
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Nov 11 2024 daviddavid <daviddavid> 2.0.99.10-1.mga10
+ Revision: 2114244
- new version: 2.0.99.10

* Wed Apr 06 2022 umeabot <umeabot> 2.0.0.11-4.mga9
+ Revision: 1845810
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 2.0.0.11-3.mga8
+ Revision: 1658150
- Rebuild for new Qt5

* Wed Jul 15 2020 daviddavid <daviddavid> 2.0.0.11-2.mga8
+ Revision: 1606331
- SDL and SDL_mixer are no more needed

* Wed Jul 15 2020 daviddavid <daviddavid> 2.0.0.11-1.mga8
+ Revision: 1606309
- new version: 2.0.0.11
- remove merged upstream patches
- use upstream desktop icon

* Sat Feb 15 2020 umeabot <umeabot> 1.1.4.0-7.mga8
+ Revision: 1524410
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 1.1.4.0-6.mga7
+ Revision: 1381303
- Qt5 Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.1.4.0-5.mga7
+ Revision: 1295347
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 1.1.4.0-4.mga7
+ Revision: 1211596
- Use new make macro

* Wed Mar 02 2016 blino <blino> 1.1.4.0-3.mga6
+ Revision: 981752
- attempt to fix build of Interpreter.cpp with the isinf function
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 alexl <alexl> 1.1.4.0-1.mga6
+ Revision: 845061
- update russian translation
- adapt work with help (help.patch)
- switch to qt5
- version 1.1.4.0

* Wed Jan 14 2015 alexl <alexl> 1.1.0.0-6.mga5
+ Revision: 810680
- updated desktop file

* Sun Nov 23 2014 alexl <alexl> 1.1.0.0-5.mga5
+ Revision: 798459
- added translatable Comment and GenericName and translated into Russian

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0.0-4.mga5
+ Revision: 744355
- Second Mageia 5 Mass Rebuild

* Wed Sep 17 2014 alexl <alexl> 1.1.0.0-3.mga5
+ Revision: 693141
- used macroses for build
- fixed permissions for *.html, *.css, *.desktop
- enabled parallel build

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0.0-2.mga5
+ Revision: 678122
- Mageia 5 Mass Rebuild

* Tue Apr 08 2014 alexl <alexl> 1.1.0.0-1.mga5
+ Revision: 612814
- imported package basic256

